@use "../sable";

.transform-none {
  @include sable.anima-transform-none();
}

.scale-0 {
  @include sable.anima-scale(0);
}
.scale-25 {
  @include sable.anima-scale(.25);
}
.scale-50 {
  @include sable.anima-scale(.5);
}
.scale-75 {
  @include sable.anima-scale(.75);
}

.rotate-0 {
  @include sable.anima-rotate(0deg);
}
.rotate-45 {
  @include sable.anima-rotate(45deg);
}
.rotate-90 {
  @include sable.anima-rotate(90deg);
}
.rotate-180 {
  @include sable.anima-rotate(180deg);
}
.-rotate-45 {
  @include sable.anima-rotate(-45deg);
}
.-rotate-90 {
  @include sable.anima-rotate(-90deg);
}

.translate-x-0	{
  @include sable.anima-translateX(0);
}
.translate-y-0	{
  @include sable.anima-translateY(0);
}

.origin-center {
  @include sable.anima-transform-origin(center);
}
.origin-top {
  @include sable.anima-transform-origin(top);
}
.origin-top-right {
  @include sable.anima-transform-origin(top right);
}
.origin-right {
  @include sable.anima-transform-origin(right);
}
.origin-bottom-right {
  @include sable.anima-transform-origin(bottom right);
}
.origin-bottom {
  @include sable.anima-transform-origin(bottom);
}
.origin-bottom-left {
  @include sable.anima-transform-origin(bottom left);
}
.origin-left {
  @include sable.anima-transform-origin(left);
}
.origin-top-left {
  @include sable.anima-transform-origin(top left);
}
